function [ssq,yhat] = rfx_fit_log_lsq(p,x,y)
%
% fit logarithmic curve to data using OLS
% -------------------------------------------------------------------------
% $Id: rfx_fit_log_lsq.m 3 2008-12-10 06:18:11Z glaescher $

yhat = p(1) + p(2) * log(x.^p(3));
if nargin == 3
  ssq = sum((y-yhat).^2);
else
  ssq = NaN;
end
