function FFXvx = rfx_get_ffx_voxel_sphere(opts,SPM,FFXvx,nSub)
%
% get voxel indices from a spherical search volume centered around
% the individual peak in FFXvx
% -------------------------------------------------------------------------
% $Id: rfx_get_ffx_voxel_sphere.m 3 2008-12-10 06:18:11Z glaescher $

O     = ones(1,size(SPM.xVol.XYZ,2));
FFXmm = SPM.xVol.M * [cat(2,FFXvx{:}); ones(1,length(FFXvx))];
XYZmm = SPM.xVol.M * [SPM.xVol.XYZ; ones(1,size(SPM.xVol.XYZ,2))];
clear FFXvx;
for s = 1:nSub
  k     = find(sum((XYZmm - FFXmm(:,s)*O).^2) <= opts.ffxsphere^2);
  FFXvx{s} = SPM.xVol.XYZ(:,k);
end
return;
