function gdata = rfx_apply_group(data,opts)
%
% sort data into specified groups
% -------------------------------------------------------------------------
% $Id: rfx_apply_group.m 3 2008-12-10 06:18:11Z glaescher $
for g = 1:opts.ngroup

  gdata{g} = [];

  for s = 1:length(opts.group{g})
    sub = opts.group{g}(s);

    if strcmp(opts.task,'effect') || strcmp(opts.task,'fitresp')
      gdata{g}(s,:) = cat(2,data(sub).effect{:});
    elseif strcmp(opts.task,'psth')
      for e = 1:length(data(sub).psth)
        for b = 1:length(data(sub).psth(e).bin)
          gdata{g,e,b}(s,:) = data(sub).psth(e).bin(b).psth;
        end
      end
    end
  end
end
return;
