function [ssq,yhat] = rfx_fit_exp_lsq(p,x,y)
% 
% fit exponential to data using OLS
% -------------------------------------------------------------------------
% $Id: rfx_fit_exp_lsq.m 3 2008-12-10 06:18:11Z glaescher $

yhat = p(1) + p(2) * exp(p(3).*x);
if nargin == 3
  ssq = sum((y-yhat).^2);
else
  ssq = NaN;
end
