function files = rfx_lselect(dir,filt)
%
% usage: tbxrfx_lselect(dir,filt)
% 
% wrapper script for spm_select('list',...) which
% returns the full path names, ...
%
% because the original spm_select('list'...) only returns 
% the filenames (without paths). How annoying!
% -------------------------------------------------------------------------
% $Id: rfx_lselect.m 3 2008-12-10 06:18:11Z glaescher $

files = spm_select('list',dir,filt);
dirs = repmat([spm_select('cpath',dir)],size(files,1),1);
files = strcat(dirs,filesep,deblank(files));
